Aria: ArUrg Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArUrg Class Reference

`#include <ArUrg.h>`

Inheritance diagram for ArUrg:

List of all members.

## Detailed Description

Hokuyu Urg laser range device. Connects using the Urg's serial port connector (not USB).

## Public Member Functions
| ArUrg (int laserNumber, const char *name="urg")
| Constructor.
virtual bool | asyncConnect (void)
virtual bool | blockingConnect (void)
virtual bool | disconnect (void)
virtual bool | isConnected (void)
virtual bool | isTryingToConnect (void)
void | log (void)
| Logs the information about the sensor.
| ~ArUrg ()
| Destructor.
## Protected Member Functions
void | clear (void)
void | failedToConnect (void)
virtual bool | laserCheckParams (void)
virtual void | laserSetName (const char *name)
bool | readLine (char *buf, unsigned int size, unsigned int msWait)
| internal call to read a string from the urg
virtual void * | runThread (void *arg)
void | sensorInterp (void)
bool | setParams (double startingDegrees=-135, double endingDegrees=135, double incrementDegrees=1, bool flipped=false)
| Sets the parameters that control what data you get from the urg.
bool | setParamsBySteps (int startingStep=0, int endingStep=768, int clusterCount=3, bool flipped=false)
| Sets the parameters that control what data you get from the urg.
virtual void | setRobot (ArRobot *robot)
bool | writeString (const char *str)
| internal call to write a string to the urg
## Protected Attributes
ArRetFunctorC< bool, ArUrg > | myAriaExitCB
int | myClusterCount
double | myClusterMiddleAngle
ArMutex | myDataMutex
int | myEndingStep
std::string | myFirmwareVersion
bool | myFlipped
bool | myIsConnected
bool | myLogMore
std::string | myProduct
std::string | myProtocolVersion
std::string | myReading
ArMutex | myReadingMutex
ArTime | myReadingRequested
char | myRequestString [1024]
ArFunctorC< ArUrg > | mySensorInterpTask
std::string | mySerialNumber
bool | myStartConnect
int | myStartingStep
std::string | myStat
bool | myTryingToConnect
std::string | myVendor

The documentation for this class was generated from the following file:

- ArUrg.h